require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.SKEWERS, "skewersChicken", false);
SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusSauteed", true);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersCheddar", false);

SManager:AddMeal(MealType.PASTA, "fettucine", false);
SManager:AddMeal(MealType.VEGGIE, "veggie", true);
SManager:AddMeal(MealType.FISH, "fishGingerSalmon", false);

SManager:AddCake(CakeType.BARBARA, "cake3Lemon", false);
SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.CARROT, "cake7Carrot", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.CAKE);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");